/*
 * @Author: your name
 * @Date: 2021-10-21 16:31:14
 * @LastEditTime: 2021-10-22 12:02:47
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: \gcloud-oauth-vue\src\utils\filter.js
 */
import store from "../store/index"

// 元->换万元保留两位小数
export function changeToWanYuan(value) {
  if (value) {
    // console.log(store)
    if(store.state.settings.changeUnit != 'yuan') {
      console.log(store.state.settings.changeUnit)
      if (value.value) {
        let num = value.value
        num = (num / 10000).toFixed(2)
        return num
      } else {
        let zero=0
        return zero.toFixed(2)
      }
    } else {
      if (value.value) {
        let num = value.value
        num = (num *1).toFixed(2)
        return num 
      } else {
        let zero=0
        return zero.toFixed(2)
      }
    }
  } else {
    return 0
  }
}
// 单位文字转换 元->万元保留两位小数
export function changeTextOrWanYuan() {
  // console.log(store)
  if(store.state.settings.changeUnit != 'yuan') {
    return '万元'
  } else {
    return '元'
  }
}

// export default {
//   changeWanYuan
// }
let list = [
  {
  name: 'changeToWanYuan',
  fn: changeToWanYuan
},
  {
  name: 'changeTextOrWanYuan',
  fn: changeTextOrWanYuan
},
]
export default {
  install(Vue) {
    list.forEach(item => {
      Vue.filter(item.name, item.fn);
    });
  }
};